# std::swap(std::valarray)

From cppreference.com
< cpp‎ | numeric‎ | valarray

template< class T > void swap( valarray<T> &lhs, valarray<T> &rhs ); |  |

Specializes the std::swap algorithm for std::valarray. Swaps the contents of `lhs` and `rhs`. Calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | valarrays whose contents to swap

### Return value

(none)

### Complexity

Constant.

### See also

swap | swaps with another valarray (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/valarray/swap2&oldid=58808"